<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): ErpcLexer.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_erpc_lexer_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">ErpcLexer.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2014-2016, Freescale Semiconductor, Inc.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * Copyright 2016 NXP</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * All rights reserved.</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * Redistribution and use in source and binary forms, with or without modification,</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * o Redistributions of source code must retain the above copyright notice, this list</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *   of conditions and the following disclaimer.</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * o Redistributions in binary form must reproduce the above copyright notice, this</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *   list of conditions and the following disclaimer in the documentation and/or</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *   other materials provided with the distribution.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * o Neither the name of the copyright holder nor the names of its</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *   contributors may be used to endorse or promote products derived from this</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *   software without specific prior written permission.</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment">// This header just wraps the standard flex C++ header to make it easier to include</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment">// without having to worry about redefinitions of the class name every time.</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#ifndef _EMBEDDED_RPC__ERPCLEXER_H_</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#define _EMBEDDED_RPC__ERPCLEXER_H_</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &quot;AstNode.h&quot;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#undef yyFlexLexer</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#include &quot;ParseErrors.h&quot;</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#include &lt;FlexLexer.h&gt;</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#include &lt;fstream&gt;</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="comment">// Definitions</span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="preprocessor">#ifndef YY_BUF_SIZE</span></div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="preprocessor">#define YY_BUF_SIZE 16384</span></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="comment">// Classes</span></div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceerpcgen.html">erpcgen</a> {</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="keyword">class </span>ErpcLexer;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;}</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="preprocessor">#include &quot;erpcgen_parser.tab.hpp&quot;</span></div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="keyword">using namespace </span><a class="code" href="namespacestd.html">std</a>;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceerpcgen.html">erpcgen</a> {</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_current_file_info.html">   71</a></span>&#160;<span class="keyword">class </span><a class="code" href="classerpcgen_1_1_current_file_info.html">CurrentFileInfo</a></div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;{</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_current_file_info.html#a4a1e670a4ab6cbc78368c7051a779293">   84</a></span>&#160;    <a class="code" href="classerpcgen_1_1_current_file_info.html#a4a1e670a4ab6cbc78368c7051a779293">CurrentFileInfo</a>(std::ifstream *savedFile, std::string fileName, std::string currentFolderPath)</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    : m_savedFile(savedFile)</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    , m_previous(NULL)</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    , m_line(1)</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    , m_column(0)</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    , m_fileName(fileName)</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    , m_currentFolderPath(currentFolderPath)</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    {</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    }</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_current_file_info.html#a5214f81d5b1075ed7c6a0cbb13511275">   99</a></span>&#160;    <a class="code" href="classerpcgen_1_1_current_file_info.html#a5214f81d5b1075ed7c6a0cbb13511275">~CurrentFileInfo</a>()</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    {</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;        m_savedFile-&gt;close();</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        m_savedFile.safe_delete();</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    }</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_current_file_info.html#a9e0c30d0b5ca7d06ed4e255bb7a8d57a">  105</a></span>&#160;    smart_ptr&lt;std::ifstream&gt; <a class="code" href="classerpcgen_1_1_current_file_info.html#a9e0c30d0b5ca7d06ed4e255bb7a8d57a">m_savedFile</a>; </div><div class="line"><a name="l00106"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_current_file_info.html#a171f9dd78c9c6093c336ed6a1e5cb670">  106</a></span>&#160;    <a class="code" href="classerpcgen_1_1_current_file_info.html">CurrentFileInfo</a> *<a class="code" href="classerpcgen_1_1_current_file_info.html#a171f9dd78c9c6093c336ed6a1e5cb670">m_previous</a>;          </div><div class="line"><a name="l00107"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_current_file_info.html#ae2b1c0992094441bfd62c1349b7f8fd0">  107</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classerpcgen_1_1_current_file_info.html#ae2b1c0992094441bfd62c1349b7f8fd0">m_line</a>;                           </div><div class="line"><a name="l00108"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_current_file_info.html#afbcbca6555cfda69cea725f8b61f50de">  108</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classerpcgen_1_1_current_file_info.html#afbcbca6555cfda69cea725f8b61f50de">m_column</a>;                         </div><div class="line"><a name="l00109"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_current_file_info.html#ad368a176dd7be54f58e81c4aed443308">  109</a></span>&#160;    std::string <a class="code" href="classerpcgen_1_1_current_file_info.html#ad368a176dd7be54f58e81c4aed443308">m_fileName</a>;               </div><div class="line"><a name="l00110"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_current_file_info.html#a90a841e8d54561c48d783ba6599cf8e2">  110</a></span>&#160;    std::string <a class="code" href="classerpcgen_1_1_current_file_info.html#a90a841e8d54561c48d783ba6599cf8e2">m_currentFolderPath</a>;      </div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;};</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_erpc_lexer.html">  121</a></span>&#160;<span class="keyword">class </span><a class="code" href="classerpcgen_1_1_erpc_lexer.html">ErpcLexer</a> : <span class="keyword">public</span> yyFlexLexer</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;{</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    <a class="code" href="classerpcgen_1_1_erpc_lexer.html">ErpcLexer</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *inputFile);</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;    ~<a class="code" href="classerpcgen_1_1_erpc_lexer.html">ErpcLexer</a>();</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_token.html">Token</a> *getNextToken();</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;</div><div class="line"><a name="l00153"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_erpc_lexer.html#a9a3eb417b005dfbfc8336531d077c5b7">  153</a></span>&#160;    <span class="keyword">inline</span> <a class="code" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a> &amp;<a class="code" href="classerpcgen_1_1_erpc_lexer.html#a9a3eb417b005dfbfc8336531d077c5b7">getLocation</a>() { <span class="keywordflow">return</span> m_location; }</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    <span class="keywordtype">void</span> pushFile(<span class="keyword">const</span> std::string &amp;fileName);</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;    <span class="keywordtype">void</span> popFile();</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;</div><div class="line"><a name="l00174"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_erpc_lexer.html#a73c80263e93bd44e21b47a5d05a83ec3">  174</a></span>&#160;    <span class="keyword">inline</span> std::string &amp;<a class="code" href="classerpcgen_1_1_erpc_lexer.html#a73c80263e93bd44e21b47a5d05a83ec3">getFileName</a>() { <span class="keywordflow">return</span> m_currentFileInfo-&gt;m_fileName; }</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;    <a class="code" href="classerpcgen_1_1_current_file_info.html">CurrentFileInfo</a> *openFile(<span class="keyword">const</span> std::string &amp;fileName);</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00196"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_erpc_lexer.html#af510cae07be3fa08dbec1f74e7cddc60">  196</a></span>&#160;    <a class="code" href="class_value.html">Value</a> *<a class="code" href="classerpcgen_1_1_erpc_lexer.html#af510cae07be3fa08dbec1f74e7cddc60">m_value</a>;                     </div><div class="line"><a name="l00197"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_erpc_lexer.html#ab699271585e90c722d716c6f83bf77f0">  197</a></span>&#160;    <a class="code" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a> <a class="code" href="classerpcgen_1_1_erpc_lexer.html#ab699271585e90c722d716c6f83bf77f0">m_location</a>;             </div><div class="line"><a name="l00198"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_erpc_lexer.html#abed11cfe3f63d5a3656b4b59557f8d55">  198</a></span>&#160;    <a class="code" href="classerpcgen_1_1_current_file_info.html">CurrentFileInfo</a> *<a class="code" href="classerpcgen_1_1_erpc_lexer.html#abed11cfe3f63d5a3656b4b59557f8d55">m_currentFileInfo</a>; </div><div class="line"><a name="l00199"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_erpc_lexer.html#aa472ea6784ccf527950fa1ed8d8b91c8">  199</a></span>&#160;    uint32_t <a class="code" href="classerpcgen_1_1_erpc_lexer.html#aa472ea6784ccf527950fa1ed8d8b91c8">m_indents</a>;                 </div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> LexerError(<span class="keyword">const</span> <span class="keywordtype">char</span> *msg);</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;    <span class="keywordtype">int</span> processStringEscapes(<span class="keyword">const</span> <span class="keywordtype">char</span> *in, <span class="keywordtype">char</span> *out);</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">int</span> yylex();</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;};</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;}; <span class="comment">// namespace erpcgen</span></div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;</div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;<span class="preprocessor">#endif // _EMBEDDED_RPC__ERPCLEXER_H_</span></div><div class="ttc" id="classerpcgen_1_1_erpc_lexer_html_abed11cfe3f63d5a3656b4b59557f8d55"><div class="ttname"><a href="classerpcgen_1_1_erpc_lexer.html#abed11cfe3f63d5a3656b4b59557f8d55">erpcgen::ErpcLexer::m_currentFileInfo</a></div><div class="ttdeci">CurrentFileInfo * m_currentFileInfo</div><div class="ttdef"><b>Definition:</b> ErpcLexer.h:198</div></div>
<div class="ttc" id="classerpcgen_1_1_erpc_lexer_html"><div class="ttname"><a href="classerpcgen_1_1_erpc_lexer.html">erpcgen::ErpcLexer</a></div><div class="ttdoc">Lexical scanner class for erpcgen interface files. </div><div class="ttdef"><b>Definition:</b> ErpcLexer.h:121</div></div>
<div class="ttc" id="classerpcgen_1_1_current_file_info_html_a171f9dd78c9c6093c336ed6a1e5cb670"><div class="ttname"><a href="classerpcgen_1_1_current_file_info.html#a171f9dd78c9c6093c336ed6a1e5cb670">erpcgen::CurrentFileInfo::m_previous</a></div><div class="ttdeci">CurrentFileInfo * m_previous</div><div class="ttdef"><b>Definition:</b> ErpcLexer.h:106</div></div>
<div class="ttc" id="classerpcgen_1_1_erpc_lexer_html_a73c80263e93bd44e21b47a5d05a83ec3"><div class="ttname"><a href="classerpcgen_1_1_erpc_lexer.html#a73c80263e93bd44e21b47a5d05a83ec3">erpcgen::ErpcLexer::getFileName</a></div><div class="ttdeci">std::string &amp; getFileName()</div><div class="ttdoc">return current file name </div><div class="ttdef"><b>Definition:</b> ErpcLexer.h:174</div></div>
<div class="ttc" id="classerpcgen_1_1_current_file_info_html_ad368a176dd7be54f58e81c4aed443308"><div class="ttname"><a href="classerpcgen_1_1_current_file_info.html#ad368a176dd7be54f58e81c4aed443308">erpcgen::CurrentFileInfo::m_fileName</a></div><div class="ttdeci">std::string m_fileName</div><div class="ttdef"><b>Definition:</b> ErpcLexer.h:109</div></div>
<div class="ttc" id="namespacestd_html"><div class="ttname"><a href="namespacestd.html">std</a></div><div class="ttdoc">STL namespace. </div></div>
<div class="ttc" id="classerpcgen_1_1_current_file_info_html_a90a841e8d54561c48d783ba6599cf8e2"><div class="ttname"><a href="classerpcgen_1_1_current_file_info.html#a90a841e8d54561c48d783ba6599cf8e2">erpcgen::CurrentFileInfo::m_currentFolderPath</a></div><div class="ttdeci">std::string m_currentFolderPath</div><div class="ttdef"><b>Definition:</b> ErpcLexer.h:110</div></div>
<div class="ttc" id="classerpcgen_1_1_current_file_info_html_a5214f81d5b1075ed7c6a0cbb13511275"><div class="ttname"><a href="classerpcgen_1_1_current_file_info.html#a5214f81d5b1075ed7c6a0cbb13511275">erpcgen::CurrentFileInfo::~CurrentFileInfo</a></div><div class="ttdeci">~CurrentFileInfo()</div><div class="ttdoc">Destructor. </div><div class="ttdef"><b>Definition:</b> ErpcLexer.h:99</div></div>
<div class="ttc" id="class_value_html"><div class="ttname"><a href="class_value.html">Value</a></div><div class="ttdoc">Abstract base class for values of arbitrary types. </div><div class="ttdef"><b>Definition:</b> Value.h:49</div></div>
<div class="ttc" id="classerpcgen_1_1_erpc_lexer_html_ab699271585e90c722d716c6f83bf77f0"><div class="ttname"><a href="classerpcgen_1_1_erpc_lexer.html#ab699271585e90c722d716c6f83bf77f0">erpcgen::ErpcLexer::m_location</a></div><div class="ttdeci">token_loc_t m_location</div><div class="ttdef"><b>Definition:</b> ErpcLexer.h:197</div></div>
<div class="ttc" id="classerpcgen_1_1_erpc_lexer_html_a9a3eb417b005dfbfc8336531d077c5b7"><div class="ttname"><a href="classerpcgen_1_1_erpc_lexer.html#a9a3eb417b005dfbfc8336531d077c5b7">erpcgen::ErpcLexer::getLocation</a></div><div class="ttdeci">token_loc_t &amp; getLocation()</div><div class="ttdoc">returns the current token&amp;#39;s location in loc. </div><div class="ttdef"><b>Definition:</b> ErpcLexer.h:153</div></div>
<div class="ttc" id="classerpcgen_1_1_erpc_lexer_html_aa472ea6784ccf527950fa1ed8d8b91c8"><div class="ttname"><a href="classerpcgen_1_1_erpc_lexer.html#aa472ea6784ccf527950fa1ed8d8b91c8">erpcgen::ErpcLexer::m_indents</a></div><div class="ttdeci">uint32_t m_indents</div><div class="ttdef"><b>Definition:</b> ErpcLexer.h:199</div></div>
<div class="ttc" id="classerpcgen_1_1_current_file_info_html_a4a1e670a4ab6cbc78368c7051a779293"><div class="ttname"><a href="classerpcgen_1_1_current_file_info.html#a4a1e670a4ab6cbc78368c7051a779293">erpcgen::CurrentFileInfo::CurrentFileInfo</a></div><div class="ttdeci">CurrentFileInfo(std::ifstream *savedFile, std::string fileName, std::string currentFolderPath)</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> ErpcLexer.h:84</div></div>
<div class="ttc" id="classerpcgen_1_1_erpc_lexer_html_af510cae07be3fa08dbec1f74e7cddc60"><div class="ttname"><a href="classerpcgen_1_1_erpc_lexer.html#af510cae07be3fa08dbec1f74e7cddc60">erpcgen::ErpcLexer::m_value</a></div><div class="ttdeci">Value * m_value</div><div class="ttdef"><b>Definition:</b> ErpcLexer.h:196</div></div>
<div class="ttc" id="classerpcgen_1_1_token_html"><div class="ttname"><a href="classerpcgen_1_1_token.html">erpcgen::Token</a></div><div class="ttdoc">Encapsulates all information about a token. </div><div class="ttdef"><b>Definition:</b> Token.h:69</div></div>
<div class="ttc" id="classerpcgen_1_1_current_file_info_html_afbcbca6555cfda69cea725f8b61f50de"><div class="ttname"><a href="classerpcgen_1_1_current_file_info.html#afbcbca6555cfda69cea725f8b61f50de">erpcgen::CurrentFileInfo::m_column</a></div><div class="ttdeci">int m_column</div><div class="ttdef"><b>Definition:</b> ErpcLexer.h:108</div></div>
<div class="ttc" id="classerpcgen_1_1_current_file_info_html_ae2b1c0992094441bfd62c1349b7f8fd0"><div class="ttname"><a href="classerpcgen_1_1_current_file_info.html#ae2b1c0992094441bfd62c1349b7f8fd0">erpcgen::CurrentFileInfo::m_line</a></div><div class="ttdeci">int m_line</div><div class="ttdef"><b>Definition:</b> ErpcLexer.h:107</div></div>
<div class="ttc" id="structerpcgen_1_1token__loc__t_html"><div class="ttname"><a href="structerpcgen_1_1token__loc__t.html">erpcgen::token_loc_t</a></div><div class="ttdoc">Token location in the source file. </div><div class="ttdef"><b>Definition:</b> Token.h:47</div></div>
<div class="ttc" id="namespaceerpcgen_html"><div class="ttname"><a href="namespaceerpcgen.html">erpcgen</a></div><div class="ttdef"><b>Definition:</b> AstNode.h:47</div></div>
<div class="ttc" id="classerpcgen_1_1_current_file_info_html_a9e0c30d0b5ca7d06ed4e255bb7a8d57a"><div class="ttname"><a href="classerpcgen_1_1_current_file_info.html#a9e0c30d0b5ca7d06ed4e255bb7a8d57a">erpcgen::CurrentFileInfo::m_savedFile</a></div><div class="ttdeci">smart_ptr&lt; std::ifstream &gt; m_savedFile</div><div class="ttdef"><b>Definition:</b> ErpcLexer.h:105</div></div>
<div class="ttc" id="classerpcgen_1_1_current_file_info_html"><div class="ttname"><a href="classerpcgen_1_1_current_file_info.html">erpcgen::CurrentFileInfo</a></div><div class="ttdoc">This class contains necessary information about analysed file. </div><div class="ttdef"><b>Definition:</b> ErpcLexer.h:71</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
